# Theme hugo-theme-fha

## Features

### Search
Lightweight search functionality based on index file.
Requires
```toml
[outputs]
  home = ["HTML", "RSS", "JSON"]
```

### Mermaid
Support for Mermaid schemas.

### Photos (soon)
Support photos albums based on Folders.

### Dark / Light mode
Possibility to enable Dark or Light mode.
It will auto detect the current user setting and choose the right mode.
Colors can be adapted using the variables.css file.

### Syntax Hightlighting
Required configuration  to copy paste code :
```toml
  [markup.highlight]
    lineNos=true
    lineNumbersInTable=true
    noClasses = false
```

### Curriculum Vitae
Copy /layouts/section/cv.html to you local /layouts/section folder and edited the content.
Save your own picture under /static/img/avatar.jpeg 

Add an entry in the about Menu:
```toml
  [[menu.nav]]
  name = 'About'
  pageRef = '/about'
  weight = 100
    [[menu.nav]]
    identifier = "pAbout"
    name = "About"
    url = "/about"
    parent = "About"
    weight = 10
    [[menu.nav]]
    identifier = "pCv"
    name = "CV"
    url = "/cv"
    parent = "About"
    weight = 20
```
It is possible to add cv in other languages
* Add the content is section (ex:cvfr.html).
* Add an entry in the nav menu.

## BlockQuotes Render Hook
Block quotes are now customizable in the markdown files.
The format is the following : 
``` md
> [!IMPORTANT]
> Key information users need to know to achieve their goal.
```
Those are customizable in `assets/theme.css`.
Currently, the supported Tags are : CAUTION, Important, NOTE, TIP, WARNING, NATURE, CAMPING, METEO, MONEY, DANGER, WIFI.
New Tags can be added by customizing 'render-blockquote-alert.html'. 

## Installation


## Configuration

### Favicons
Get Icons from [Flaticon](https://www.flaticon.com/).
Generate Favicons with [Freepik](https://www.freepik.com/).
Uncompress the icons in your /static folder.

## References 
* [Bootstrap 5.2.3](https://getbootstrap.com/docs/5.2/getting-started/download/)
* [JQuery](https://jquery.com/download/)
* [Mermaid](https://cdn.jsdelivr.net/npm/mermaid@11.0.2/dist/)